/**
* @par Copyright (C): 2010-2019, Shenzhen Yahboom Tech
* @file         LEDSerial.ino
* @author       chengengyue
* @version      V1.0
* @date         2019.10.08
* @brief        串口打印LED亮度值
* @details
* @par History  见如下说明
*/
// 定义LED灯（D9）引脚
#define LED_PIN 5

/* 定义全局变量 */
int brightness = 0;   // LED亮度值
int fadeAmount = 5;   // 每一次增加或减少的亮度值

void setup() {
  // put your setup code here, to run once:
  // 设置LED为输出模式
  pinMode(LED_PIN, OUTPUT);

  // 初始化串口，波特率为9600
  Serial.begin(9600);
}

void loop() {
  // put your main code here, to run repeatedly:
  // 向LED_PIN引脚写入模拟值
  analogWrite(LED_PIN, brightness);

  // 打印当前亮度值
  Serial.println(brightness);

  // 修改下一次显示的亮度
  brightness = brightness + fadeAmount;

  // 翻转fadeAmount值
  // 如果brightness >= 255，则把fadeAmount设置为负值，所以每次都减少亮度
  if (brightness <= 0 || brightness >= 255) {
    fadeAmount = -fadeAmount;
  }

  delay(30);    // 延迟30毫秒
}
